<div class="w-full flex flex-col justify-start items-center">
  <div class="header w-full text-5xl text-center font-bold text-red-400">
    Todolist
  </div>
  <div class="form w-1/3 flex flex-row justify-evenly items-center py-2">
    <input
      type="text"
      class="h-8 border-2 border-orange-400 outline-orange-400 text-blue-500 font-bold"
      [value]="todoInput"
      (input)="handleChangeInput($event)"
    />
    <button
      class="px-2 py-1 bg-blue-500 text-white"
      (click)="handleAddTodo(todoInput)"
    >
      Add
    </button>
    <button
      class="px-2 py-1 bg-blue-500 text-white {{
        todoInput == '' && 'pointer-events-none bg-slate-200'
      }}"
      (click)="handleUpdateName(todoChoosed.id, todoInput)"
    >
      Update
    </button>
  </div>
  <div class="todolist w-full flex flex-col justify-start items-center">
    <div
      class="w-1/3 flex flex-row border-y-2 p-2 hover:bg-slate-100"
      *ngFor="let todo of todoList"
    >
      <div class="basis-1/5">
        <input
          type="checkbox"
          name=""
          id=""
          (click)="handleChangeStatus(todo.id)"
          [checked]="todo.status == 0"
        />
      </div>
      <div
        class="basis-3/5 {{
          todo.status == 0 && 'line-through'
        }} cursor-pointer"
        (click)="handleChooseTodo(todo.id)"
      >
        {{ todo.name }}
      </div>
      <div class="basis-1/5 flex flex-row justify-center items-center">
        <button class="basis-1/2" (click)="handleDelete(todo.id)">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            strokeWidth="{1.5}"
            stroke="currentColor"
            class="w-6 h-6"
          >
            <path
              strokeLinecap="round"
              strokeLinejoin="round"
              d="M6 18L18 6M6 6l12 12"
            />
          </svg>
        </button>
      </div>
    </div>
  </div>
  <div class="w-1/3 mt-5 flex flex-row justify-between items-center">
    <div class="w-64 h-8 border-2 relative">
      <div class="bg-gray-100 h-full"></div>
      <div
        class="absolute bottom-0 left-0 bg-yellow-400 h-full"
        [style.width.%]="(statistic.success / statistic.total) * 100"
      ></div>
      <span class="absolute top-0 right-0 bottom-0 left-0 text-center">
        {{ statistic.success }} of {{ statistic.total }} tasks done
      </span>
    </div>
    <button
      class="px-2 py-1 bg-blue-500 text-white"
      (click)="handleDeleteAll()"
    >
      Delete All
    </button>
  </div>
</div>
